<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnConvert.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d13/_en_convert_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EnConvert.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d13/_en_convert_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/db9/classbool.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/db9/classbool.html">bool</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/db9/classbool.html#a8ad2456f267275c00d51de5d253eee62">    3</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/db9/classbool.html#a8ad2456f267275c00d51de5d253eee62">ToString</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">if</span> (value) <span class="keywordflow">return</span> <span class="stringliteral">&quot;true&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="stringliteral">&quot;false&quot;</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>};</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4">   10</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4">EBool</a></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>{</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4a0d077f5b932ce05e5b9f30c6087a2f31">   12</a></span>    <a class="code hl_enumvalue" href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4a0d077f5b932ce05e5b9f30c6087a2f31">NO</a> = 0,</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <a class="code hl_enumvalue" href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4a99f136a862ba5c7d16967231c29f09d6">YES</a> = 1 </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4a99f136a862ba5c7d16967231c29f09d6">   14</a></span>}</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#a099b811198ca402dc918c3f60fed752c">   18</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#a099b811198ca402dc918c3f60fed752c">ZERO_PAD_SIZE</a> = 8;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#ab730950cbfb3a5e8b01b48990cb5d248">   19</a></span>    <span class="keyword">protected</span> <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#ab730950cbfb3a5e8b01b48990cb5d248">m_ZeroPad</a>[<a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#a099b811198ca402dc918c3f60fed752c">ZERO_PAD_SIZE</a>] = {<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;0&quot;</span>, <span class="stringliteral">&quot;00&quot;</span>, <span class="stringliteral">&quot;000&quot;</span>, <span class="stringliteral">&quot;0000&quot;</span>, <span class="stringliteral">&quot;00000&quot;</span>, <span class="stringliteral">&quot;000000&quot;</span>, <span class="stringliteral">&quot;0000000&quot;</span>};</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#af7dbda7167e22cb3417c16f78061ad80">   21</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#af7dbda7167e22cb3417c16f78061ad80">MAX</a> = 2147483647;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#a25608b609af2878d5a2f9cee6b2961b3">   22</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#a25608b609af2878d5a2f9cee6b2961b3">MIN</a> = -2147483648;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">   24</a></span>    proto <span class="keywordtype">string</span> <a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#aef31fc9a98236ee1c7c49fc49fa01314">   38</a></span>    proto <span class="keywordtype">string</span> <a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#aef31fc9a98236ee1c7c49fc49fa01314">AsciiToString</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#aba54ae529e59850e3c56a0acdf6f51c6">   53</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#aba54ae529e59850e3c56a0acdf6f51c6">ToStringLen</a>(<span class="keywordtype">int</span> len)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordtype">string</span> str = value.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">ToString</a>();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordtype">int</span> l = len - str.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> (l &gt; 0 &amp;&amp; l &lt; <a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#a099b811198ca402dc918c3f60fed752c">ZERO_PAD_SIZE</a> )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d13/_en_convert_8c.html#ab730950cbfb3a5e8b01b48990cb5d248">m_ZeroPad</a>[l] + str;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> str;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d0/d13/_en_convert_8c.html#a712c1f9f7f2253982b40f12e4919350d">   78</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d13/_en_convert_8c.html#a712c1f9f7f2253982b40f12e4919350d">InRange</a>( <span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max, <span class="keywordtype">bool</span> inclusive_min = <span class="keyword">true</span>, <span class="keywordtype">bool</span> inclusive_max = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span>( ( !inclusive_min &amp;&amp; value &lt;= min ) || value &lt; min )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span>( ( !inclusive_max &amp;&amp; value &gt;= max ) || value &gt; max )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>};</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d4/dc3/classfloat.html">   90</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/dc3/classfloat.html">float</a></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d4/dc3/classfloat.html#a7c75d5884931d8fdb53ad0dd65c23f29">   92</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/dc3/classfloat.html#a7c75d5884931d8fdb53ad0dd65c23f29">MIN</a> = FLT_MIN;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../d4/dc3/classfloat.html#a984911aa6072c232bb876de8ed8904af">   93</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/dc3/classfloat.html#a984911aa6072c232bb876de8ed8904af">MAX</a> = FLT_MAX;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">   94</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">LOWEST</a> = -FLT_MAX;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">   96</a></span>    proto <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>();</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>};</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html">   99</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>{</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">  101</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">Up</a> = <span class="stringliteral">&quot;0 1 0&quot;</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a28223193a011ce95454f4a7443ab2e89">  102</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d7/dfc/classvector.html#a28223193a011ce95454f4a7443ab2e89">Aside</a> = <span class="stringliteral">&quot;1 0 0&quot;</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a6ad2d639d86b8e70f2b1201cccfe2b69">  103</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d7/dfc/classvector.html#a6ad2d639d86b8e70f2b1201cccfe2b69">Forward</a> = <span class="stringliteral">&quot;0 0 1&quot;</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">  104</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a> = <span class="stringliteral">&quot;0 0 0&quot;</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aae98cacea720c943c4a0ba074844edcb">  119</a></span>    proto <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#aae98cacea720c943c4a0ba074844edcb">ToString</a>(<span class="keywordtype">bool</span> beautify = <span class="keyword">true</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a77831ca9c077a8dbd1b0aae7ba2a5d3d">  134</a></span>    proto <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#a77831ca9c077a8dbd1b0aae7ba2a5d3d">Normalize</a>();</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a1dd56c5821c2f52c4b6eb3f945950dbd">  137</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a1dd56c5821c2f52c4b6eb3f945950dbd">Normalized</a>();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a24d56d6a43e63b3b06307c08a47658d1">  150</a></span>    proto native <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#a24d56d6a43e63b3b06307c08a47658d1">Length</a>();</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a5630a095777dfb19962df9ecf100cb47">  163</a></span>    proto native <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#a5630a095777dfb19962df9ecf100cb47">LengthSq</a>();</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">  177</a></span>    proto <span class="keyword">static</span> native <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">Distance</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v2);</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">  191</a></span>    proto <span class="keyword">static</span> native <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">DistanceSq</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v2);</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#afb6b8ef9012f158bd26c58861b1fe642">  203</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#afb6b8ef9012f158bd26c58861b1fe642">Perpend</a>()</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">return</span> value * <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">Up</a>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a95ab7bbe293e66e406d8f0cf1525ea6d">  214</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a95ab7bbe293e66e406d8f0cf1525ea6d">Direction</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> p1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> p2)</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> dir_vec;</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        dir_vec[0] = p2[0] - p1[0];</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        dir_vec[1] = p2[1] - p1[1];</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        dir_vec[2] = p2[2] - p1[2];</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordflow">return</span> dir_vec;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a196718ffa770426b0bcac7412b82c000">  237</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a196718ffa770426b0bcac7412b82c000">RandomDir</a>()</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(-1,1),<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(-1,1),<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(-1,1)).<a class="code hl_function" href="../../d7/dfc/classvector.html#a1dd56c5821c2f52c4b6eb3f945950dbd">Normalized</a>();</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>    }</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a744ae3998907ee2ab499491dc3f63bb3">  254</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a744ae3998907ee2ab499491dc3f63bb3">RandomDir2D</a>()</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    {</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(-1,1),0,<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(-1,1)).<a class="code hl_function" href="../../d7/dfc/classvector.html#a1dd56c5821c2f52c4b6eb3f945950dbd">Normalized</a>();</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    }</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">  265</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">Dot</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v2)</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    {</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <span class="keywordflow">return</span> ((v1[0] * v2[0]) + (v1[1] * v2[1]) + (v1[2] * v2[2]));</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span> </div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a1a62075378ea6dee42f055959832e355">  280</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a1a62075378ea6dee42f055959832e355">GetRelAngles</a>()</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>    {</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 3; i++) {</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            <span class="keywordflow">if</span>(value[i] &gt; 180)</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>                value[i] = value[i] - 360;</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            <span class="keywordflow">if</span>(value[i] &lt; -180)</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                value[i] = value[i] + 360;</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        }</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        <span class="keywordflow">return</span> value;</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    }</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>    </div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#ac874a5c3e44d975a8c812c6051c3bc42">  305</a></span>    proto <span class="keywordtype">float</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#ac874a5c3e44d975a8c812c6051c3bc42">VectorToYaw</a>();</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span> </div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aaf9cd58f18fb386fd75a38b85f502b16">  319</a></span>    proto native <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#aaf9cd58f18fb386fd75a38b85f502b16">YawToVector</a>(<span class="keywordtype">float</span> yaw);</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span> </div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aed751dee971a2a172f3052c68f607111">  334</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#aed751dee971a2a172f3052c68f607111">VectorToAngles</a>();</div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span> </div>
<div class="line"><a id="l00349" name="l00349"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#af408d1e3b1924083700244aea9fbb3e9">  349</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#af408d1e3b1924083700244aea9fbb3e9">AnglesToVector</a>();</div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno">  350</span> </div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aa47f0f8fc9cf78676b74164916032adc">  364</a></span>    proto <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#aa47f0f8fc9cf78676b74164916032adc">RotationMatrixFromAngles</a>(out <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mat[3]);</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span>    </div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a4a81e26ff200e7242446a4f3387305f1">  379</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a4a81e26ff200e7242446a4f3387305f1">Multiply4</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mat[4]);</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a14d1e3e5c72dc00cf1325c1c5e633ac9">  394</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a14d1e3e5c72dc00cf1325c1c5e633ac9">Multiply3</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mat[3]);</div>
<div class="line"><a id="l00395" name="l00395"></a><span class="lineno">  395</span> </div>
<div class="line"><a id="l00409" name="l00409"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a0efaf736c81403ae7995d750442e7213">  409</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a0efaf736c81403ae7995d750442e7213">InvMultiply4</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mat[4]);</div>
<div class="line"><a id="l00410" name="l00410"></a><span class="lineno">  410</span> </div>
<div class="line"><a id="l00424" name="l00424"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aacb468e25c49cbc012daf8933f81383c">  424</a></span>    proto <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#aacb468e25c49cbc012daf8933f81383c">InvMultiply3</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mat[3]);</div>
<div class="line"><a id="l00425" name="l00425"></a><span class="lineno">  425</span>    </div>
<div class="line"><a id="l00434" name="l00434"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#af15f3bbe745c42844b94ca75c22a8feb">  434</a></span>    proto <span class="keyword">static</span> native <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#af15f3bbe745c42844b94ca75c22a8feb">Lerp</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> v2, <span class="keywordtype">float</span> t);</div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno">  435</span>    </div>
<div class="line"><a id="l00444" name="l00444"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a53ace92794c4c6ddf4ff8ffff67a1fa5">  444</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a53ace92794c4c6ddf4ff8ffff67a1fa5">RotateAroundZeroDeg</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> vec, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> axis, <span class="keywordtype">float</span> angle)</div>
<div class="line"><a id="l00445" name="l00445"></a><span class="lineno">  445</span>    {</div>
<div class="line"><a id="l00446" name="l00446"></a><span class="lineno">  446</span>        <span class="keywordflow">return</span> (vec * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>(angle * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">DEG2RAD</a>)) + ((axis * vec) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>(angle * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">DEG2RAD</a>)) + (axis * <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">Dot</a>(axis, vec)) * (1 - <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>(angle * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">DEG2RAD</a>));</div>
<div class="line"><a id="l00447" name="l00447"></a><span class="lineno">  447</span>    }</div>
<div class="line"><a id="l00448" name="l00448"></a><span class="lineno">  448</span>    </div>
<div class="line"><a id="l00457" name="l00457"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a6112bdd28cac1834f740623775e2db5d">  457</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a6112bdd28cac1834f740623775e2db5d">RotateAroundZeroRad</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> vec, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> axis, <span class="keywordtype">float</span> angle)</div>
<div class="line"><a id="l00458" name="l00458"></a><span class="lineno">  458</span>    {</div>
<div class="line"><a id="l00459" name="l00459"></a><span class="lineno">  459</span>        <span class="keywordflow">return</span> (vec * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>(angle)) + ((axis * vec) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>(angle)) + (axis * <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">Dot</a>(axis, vec)) * (1 - <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>(angle));</div>
<div class="line"><a id="l00460" name="l00460"></a><span class="lineno">  460</span>    }</div>
<div class="line"><a id="l00461" name="l00461"></a><span class="lineno">  461</span>    </div>
<div class="line"><a id="l00471" name="l00471"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a98fea7cff9837cd9370fe01530ef6ed6">  471</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a98fea7cff9837cd9370fe01530ef6ed6">RotateAroundZero</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> axis, <span class="keywordtype">float</span> cosAngle, <span class="keywordtype">float</span> sinAngle)</div>
<div class="line"><a id="l00472" name="l00472"></a><span class="lineno">  472</span>    {</div>
<div class="line"><a id="l00473" name="l00473"></a><span class="lineno">  473</span>        <span class="keywordflow">return</span> (pos * cosAngle) + ((axis * pos) * sinAngle) + (axis * <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">Dot</a>(axis, pos)) * (1 - cosAngle);</div>
<div class="line"><a id="l00474" name="l00474"></a><span class="lineno">  474</span>    }</div>
<div class="line"><a id="l00475" name="l00475"></a><span class="lineno">  475</span>    </div>
<div class="line"><a id="l00485" name="l00485"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#aa9743e6442c03af3d006625b75002b4c">  485</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#aa9743e6442c03af3d006625b75002b4c">RotateAroundPoint</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> point, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> axis, <span class="keywordtype">float</span> cosAngle, <span class="keywordtype">float</span> sinAngle)</div>
<div class="line"><a id="l00486" name="l00486"></a><span class="lineno">  486</span>    {</div>
<div class="line"><a id="l00487" name="l00487"></a><span class="lineno">  487</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> offsetPos = pos - point;</div>
<div class="line"><a id="l00488" name="l00488"></a><span class="lineno">  488</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d7/dfc/classvector.html#a98fea7cff9837cd9370fe01530ef6ed6">RotateAroundZero</a>(offsetPos, axis, cosAngle, sinAngle) + point;</div>
<div class="line"><a id="l00489" name="l00489"></a><span class="lineno">  489</span>    }</div>
<div class="line"><a id="l00490" name="l00490"></a><span class="lineno">  490</span>    </div>
<div class="line"><a id="l00496" name="l00496"></a><span class="lineno"><a class="line" href="../../d7/dfc/classvector.html#a5f52b496fb3f21f74ab18ba12c473c58">  496</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_function" href="../../d7/dfc/classvector.html#a5f52b496fb3f21f74ab18ba12c473c58">ArrayToVec</a>(<span class="keywordtype">float</span> arr[])</div>
<div class="line"><a id="l00497" name="l00497"></a><span class="lineno">  497</span>    {</div>
<div class="line"><a id="l00498" name="l00498"></a><span class="lineno">  498</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a>(arr[0], arr[1], arr[2]);</div>
<div class="line"><a id="l00499" name="l00499"></a><span class="lineno">  499</span>    }</div>
<div class="line"><a id="l00500" name="l00500"></a><span class="lineno">  500</span>    </div>
<div class="line"><a id="l00501" name="l00501"></a><span class="lineno">  501</span>    </div>
<div class="line"><a id="l00502" name="l00502"></a><span class="lineno">  502</span>};</div>
<div class="line"><a id="l00503" name="l00503"></a><span class="lineno">  503</span> </div>
<div class="line"><a id="l00504" name="l00504"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html">  504</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/db4/classtypename.html">typename</a></div>
<div class="line"><a id="l00505" name="l00505"></a><span class="lineno">  505</span>{</div>
<div class="line"><a id="l00513" name="l00513"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a147761ce837aadfdfd024e7146db86f9">  513</a></span>    proto <span class="keyword">volatile</span> <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> <a class="code hl_function" href="../../d2/db4/classtypename.html#a147761ce837aadfdfd024e7146db86f9">Spawn</a>();</div>
<div class="line"><a id="l00514" name="l00514"></a><span class="lineno">  514</span>    </div>
<div class="line"><a id="l00519" name="l00519"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a24e2bf043e2bf949a895203d9d87cca0">  519</a></span>    proto owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#a24e2bf043e2bf949a895203d9d87cca0">GetModule</a>();</div>
<div class="line"><a id="l00520" name="l00520"></a><span class="lineno">  520</span>    </div>
<div class="line"><a id="l00522" name="l00522"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#aa6c584771a53a6f798e7be9e4080a1d3">  522</a></span>    proto native owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#aa6c584771a53a6f798e7be9e4080a1d3">ToString</a>();</div>
<div class="line"><a id="l00523" name="l00523"></a><span class="lineno">  523</span>    </div>
<div class="line"><a id="l00532" name="l00532"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a6b5064cb66914d2ff8a02c6ddb566c1b">  532</a></span>    proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#a6b5064cb66914d2ff8a02c6ddb566c1b">IsInherited</a>(<span class="keyword">typename</span> baseType);</div>
<div class="line"><a id="l00533" name="l00533"></a><span class="lineno">  533</span>    </div>
<div class="line"><a id="l00534" name="l00534"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a964e1397808b602623c14d067ff2fe4b">  534</a></span>    proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#a964e1397808b602623c14d067ff2fe4b">GetVariableCount</a>();</div>
<div class="line"><a id="l00535" name="l00535"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a6603b88a4f8516f9e2fe728f8b15b4d9">  535</a></span>    proto native owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#a6603b88a4f8516f9e2fe728f8b15b4d9">GetVariableName</a>(<span class="keywordtype">int</span> vIdx);</div>
<div class="line"><a id="l00536" name="l00536"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a5e3c25ba9570c9903ae1903b9852577b">  536</a></span>    proto native <span class="keyword">typename</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#a5e3c25ba9570c9903ae1903b9852577b">GetVariableType</a>(<span class="keywordtype">int</span> vIdx);</div>
<div class="line"><a id="l00537" name="l00537"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#a935484bb0a6a76fe0a7977152cce2960">  537</a></span>    proto <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#a935484bb0a6a76fe0a7977152cce2960">GetVariableValue</a>(<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> var, <span class="keywordtype">int</span> vIdx, out <span class="keywordtype">void</span> val);</div>
<div class="line"><a id="l00538" name="l00538"></a><span class="lineno">  538</span>    </div>
<div class="line"><a id="l00546" name="l00546"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#aaea4a93deb574d038bb4301431585e22">  546</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#aaea4a93deb574d038bb4301431585e22">EnumToString</a>(<span class="keyword">typename</span> e, <span class="keywordtype">int</span> enumValue)</div>
<div class="line"><a id="l00547" name="l00547"></a><span class="lineno">  547</span>    {</div>
<div class="line"><a id="l00548" name="l00548"></a><span class="lineno">  548</span>        <span class="keywordtype">int</span> cnt = e.GetVariableCount();</div>
<div class="line"><a id="l00549" name="l00549"></a><span class="lineno">  549</span>        <span class="keywordtype">int</span> val;</div>
<div class="line"><a id="l00550" name="l00550"></a><span class="lineno">  550</span> </div>
<div class="line"><a id="l00551" name="l00551"></a><span class="lineno">  551</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; cnt; i++)</div>
<div class="line"><a id="l00552" name="l00552"></a><span class="lineno">  552</span>        {</div>
<div class="line"><a id="l00553" name="l00553"></a><span class="lineno">  553</span>            <span class="keywordflow">if</span> (e.GetVariableType(i) == <span class="keywordtype">int</span> &amp;&amp; e.GetVariableValue(null, i, val) &amp;&amp; val == enumValue)</div>
<div class="line"><a id="l00554" name="l00554"></a><span class="lineno">  554</span>            {</div>
<div class="line"><a id="l00555" name="l00555"></a><span class="lineno">  555</span>                <span class="keywordflow">return</span> e.GetVariableName(i);</div>
<div class="line"><a id="l00556" name="l00556"></a><span class="lineno">  556</span>            }</div>
<div class="line"><a id="l00557" name="l00557"></a><span class="lineno">  557</span>        }</div>
<div class="line"><a id="l00558" name="l00558"></a><span class="lineno">  558</span>                </div>
<div class="line"><a id="l00559" name="l00559"></a><span class="lineno">  559</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;unknown&quot;</span>;</div>
<div class="line"><a id="l00560" name="l00560"></a><span class="lineno">  560</span>    }</div>
<div class="line"><a id="l00561" name="l00561"></a><span class="lineno">  561</span>    </div>
<div class="line"><a id="l00568" name="l00568"></a><span class="lineno"><a class="line" href="../../d2/db4/classtypename.html#aa81ac832e72b7c2fb610ea5591741658">  568</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d2/db4/classtypename.html#aa81ac832e72b7c2fb610ea5591741658">StringToEnum</a>(<span class="keyword">typename</span> e, <span class="keywordtype">string</span> enumName)</div>
<div class="line"><a id="l00569" name="l00569"></a><span class="lineno">  569</span>    {</div>
<div class="line"><a id="l00570" name="l00570"></a><span class="lineno">  570</span>        <span class="keywordtype">int</span> count = e.GetVariableCount();</div>
<div class="line"><a id="l00571" name="l00571"></a><span class="lineno">  571</span>        <span class="keywordtype">int</span> value;</div>
<div class="line"><a id="l00572" name="l00572"></a><span class="lineno">  572</span>       </div>
<div class="line"><a id="l00573" name="l00573"></a><span class="lineno">  573</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; count; i++)</div>
<div class="line"><a id="l00574" name="l00574"></a><span class="lineno">  574</span>        {</div>
<div class="line"><a id="l00575" name="l00575"></a><span class="lineno">  575</span>            <span class="keywordflow">if</span> (e.GetVariableType(i) == <span class="keywordtype">int</span> &amp;&amp; e.GetVariableValue(null, i, value) &amp;&amp; e.GetVariableName(i) == enumName)</div>
<div class="line"><a id="l00576" name="l00576"></a><span class="lineno">  576</span>            {</div>
<div class="line"><a id="l00577" name="l00577"></a><span class="lineno">  577</span>                <span class="keywordflow">return</span> value;</div>
<div class="line"><a id="l00578" name="l00578"></a><span class="lineno">  578</span>            }</div>
<div class="line"><a id="l00579" name="l00579"></a><span class="lineno">  579</span>        }</div>
<div class="line"><a id="l00580" name="l00580"></a><span class="lineno">  580</span>        </div>
<div class="line"><a id="l00581" name="l00581"></a><span class="lineno">  581</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00582" name="l00582"></a><span class="lineno">  582</span>    }</div>
<div class="line"><a id="l00583" name="l00583"></a><span class="lineno">  583</span>};</div>
<div class="line"><a id="l00584" name="l00584"></a><span class="lineno">  584</span> </div>
<div class="line"><a id="l00585" name="l00585"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html">  585</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d98/class_enum_tools.html">EnumTools</a></div>
<div class="line"><a id="l00586" name="l00586"></a><span class="lineno">  586</span>{</div>
<div class="line"><a id="l00587" name="l00587"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#afa28a6e29b38afe19ab08cea9186d381">  587</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#afa28a6e29b38afe19ab08cea9186d381">EnumTools</a>();</div>
<div class="line"><a id="l00588" name="l00588"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#a8f3154843c3bf9e19a52deed8bbd2cad">  588</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#a8f3154843c3bf9e19a52deed8bbd2cad">~EnumTools</a>();</div>
<div class="line"><a id="l00589" name="l00589"></a><span class="lineno">  589</span>    </div>
<div class="line"><a id="l00597" name="l00597"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#aec4426f2734186a45113a4740df44365">  597</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#aec4426f2734186a45113a4740df44365">EnumToString</a>(<span class="keyword">typename</span> e, <span class="keywordtype">int</span> enumValue)</div>
<div class="line"><a id="l00598" name="l00598"></a><span class="lineno">  598</span>    {</div>
<div class="line"><a id="l00599" name="l00599"></a><span class="lineno">  599</span>        <span class="keywordflow">return</span> <span class="keyword">typename</span>.EnumToString(e, enumValue);</div>
<div class="line"><a id="l00600" name="l00600"></a><span class="lineno">  600</span>    }</div>
<div class="line"><a id="l00601" name="l00601"></a><span class="lineno">  601</span>    </div>
<div class="line"><a id="l00608" name="l00608"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#af1cda1d31ea4a55294ec39ef110f8613">  608</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#af1cda1d31ea4a55294ec39ef110f8613">StringToEnum</a>(<span class="keyword">typename</span> e, <span class="keywordtype">string</span> enumName)</div>
<div class="line"><a id="l00609" name="l00609"></a><span class="lineno">  609</span>    {</div>
<div class="line"><a id="l00610" name="l00610"></a><span class="lineno">  610</span>        <span class="keywordflow">return</span> <span class="keyword">typename</span>.StringToEnum(e, enumName);</div>
<div class="line"><a id="l00611" name="l00611"></a><span class="lineno">  611</span>    }</div>
<div class="line"><a id="l00612" name="l00612"></a><span class="lineno">  612</span>    </div>
<div class="line"><a id="l00619" name="l00619"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#a5bcf3e903f3baa8dc2a339918058321f">  619</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#a5bcf3e903f3baa8dc2a339918058321f">GetEnumSize</a>(<span class="keyword">typename</span> e)</div>
<div class="line"><a id="l00620" name="l00620"></a><span class="lineno">  620</span>    {</div>
<div class="line"><a id="l00621" name="l00621"></a><span class="lineno">  621</span>        <span class="keywordflow">return</span> e.GetVariableCount();</div>
<div class="line"><a id="l00622" name="l00622"></a><span class="lineno">  622</span>    }</div>
<div class="line"><a id="l00623" name="l00623"></a><span class="lineno">  623</span>    </div>
<div class="line"><a id="l00630" name="l00630"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#abd311dda1c9f76a91815a576ed5bc855">  630</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#abd311dda1c9f76a91815a576ed5bc855">GetEnumValue</a>(<span class="keyword">typename</span> e, <span class="keywordtype">int</span> idx)</div>
<div class="line"><a id="l00631" name="l00631"></a><span class="lineno">  631</span>    {</div>
<div class="line"><a id="l00632" name="l00632"></a><span class="lineno">  632</span>        <span class="keywordtype">int</span> value;</div>
<div class="line"><a id="l00633" name="l00633"></a><span class="lineno">  633</span>        e.GetVariableValue(null, idx, value);       </div>
<div class="line"><a id="l00634" name="l00634"></a><span class="lineno">  634</span>        <span class="keywordflow">return</span> value;</div>
<div class="line"><a id="l00635" name="l00635"></a><span class="lineno">  635</span>    }</div>
<div class="line"><a id="l00636" name="l00636"></a><span class="lineno">  636</span>    </div>
<div class="line"><a id="l00643" name="l00643"></a><span class="lineno"><a class="line" href="../../dc/d98/class_enum_tools.html#ac4ddca3398c80b05f53069001724e142">  643</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/d98/class_enum_tools.html#ac4ddca3398c80b05f53069001724e142">GetLastEnumValue</a>(<span class="keyword">typename</span> e)</div>
<div class="line"><a id="l00644" name="l00644"></a><span class="lineno">  644</span>    {</div>
<div class="line"><a id="l00645" name="l00645"></a><span class="lineno">  645</span>        <span class="keywordtype">int</span> lastValue;</div>
<div class="line"><a id="l00646" name="l00646"></a><span class="lineno">  646</span>        e.GetVariableValue(null, e.GetVariableCount() - 1, lastValue);      </div>
<div class="line"><a id="l00647" name="l00647"></a><span class="lineno">  647</span>        <span class="keywordflow">return</span> lastValue;</div>
<div class="line"><a id="l00648" name="l00648"></a><span class="lineno">  648</span>    }</div>
<div class="line"><a id="l00649" name="l00649"></a><span class="lineno">  649</span>}</div>
<div class="ttc" id="a_cache_object_8c_html_a2dd3d4ba19a58e86cd16f281a6b82c8e"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a></div><div class="ttdeci">class RecipeCacheData int</div></div>
<div class="ttc" id="a_en_convert_8c_html_a099b811198ca402dc918c3f60fed752c"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#a099b811198ca402dc918c3f60fed752c">ZERO_PAD_SIZE</a></div><div class="ttdeci">enum EBool ZERO_PAD_SIZE</div></div>
<div class="ttc" id="a_en_convert_8c_html_a25608b609af2878d5a2f9cee6b2961b3"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#a25608b609af2878d5a2f9cee6b2961b3">MIN</a></div><div class="ttdeci">const int MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00022">EnConvert.c:22</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_a712c1f9f7f2253982b40f12e4919350d"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#a712c1f9f7f2253982b40f12e4919350d">InRange</a></div><div class="ttdeci">bool InRange(int min, int max, bool inclusive_min=true, bool inclusive_max=true)</div><div class="ttdoc">Check whether integer falls into an inclusive range.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00078">EnConvert.c:78</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_ab730950cbfb3a5e8b01b48990cb5d248"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#ab730950cbfb3a5e8b01b48990cb5d248">m_ZeroPad</a></div><div class="ttdeci">static protected string m_ZeroPad[ZERO_PAD_SIZE]</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00019">EnConvert.c:19</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_aba54ae529e59850e3c56a0acdf6f51c6"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#aba54ae529e59850e3c56a0acdf6f51c6">ToStringLen</a></div><div class="ttdeci">string ToStringLen(int len)</div><div class="ttdoc">Integer to string with fixed length, padded with zeroes.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00053">EnConvert.c:53</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_ae9a57d15179f950724f6d085ad9c00e4"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4">EBool</a></div><div class="ttdeci">EBool</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00010">EnConvert.c:11</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_ae9a57d15179f950724f6d085ad9c00e4a0d077f5b932ce05e5b9f30c6087a2f31"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4a0d077f5b932ce05e5b9f30c6087a2f31">NO</a></div><div class="ttdeci">@ NO</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00012">EnConvert.c:12</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_ae9a57d15179f950724f6d085ad9c00e4a99f136a862ba5c7d16967231c29f09d6"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#ae9a57d15179f950724f6d085ad9c00e4a99f136a862ba5c7d16967231c29f09d6">YES</a></div><div class="ttdeci">@ YES</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00014">EnConvert.c:13</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_aef31fc9a98236ee1c7c49fc49fa01314"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#aef31fc9a98236ee1c7c49fc49fa01314">AsciiToString</a></div><div class="ttdeci">proto string AsciiToString()</div><div class="ttdoc">Converts ASCII code to string.</div></div>
<div class="ttc" id="a_en_convert_8c_html_af7dbda7167e22cb3417c16f78061ad80"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#af7dbda7167e22cb3417c16f78061ad80">MAX</a></div><div class="ttdeci">const int MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00021">EnConvert.c:21</a></div></div>
<div class="ttc" id="a_en_convert_8c_html_afa7657e4f6687b78bc860ddff41c3bef"><div class="ttname"><a href="../../d0/d13/_en_convert_8c.html#afa7657e4f6687b78bc860ddff41c3bef">ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclass_enum_tools_html"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html">EnumTools</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00585">EnConvert.c:586</a></div></div>
<div class="ttc" id="aclass_enum_tools_html_a5bcf3e903f3baa8dc2a339918058321f"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#a5bcf3e903f3baa8dc2a339918058321f">EnumTools::GetEnumSize</a></div><div class="ttdeci">static int GetEnumSize(typename e)</div><div class="ttdoc">Return amount of values in enum.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00619">EnConvert.c:619</a></div></div>
<div class="ttc" id="aclass_enum_tools_html_a8f3154843c3bf9e19a52deed8bbd2cad"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#a8f3154843c3bf9e19a52deed8bbd2cad">EnumTools::~EnumTools</a></div><div class="ttdeci">private void ~EnumTools()</div></div>
<div class="ttc" id="aclass_enum_tools_html_abd311dda1c9f76a91815a576ed5bc855"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#abd311dda1c9f76a91815a576ed5bc855">EnumTools::GetEnumValue</a></div><div class="ttdeci">static int GetEnumValue(typename e, int idx)</div><div class="ttdoc">Return the nth value in the enum.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00630">EnConvert.c:630</a></div></div>
<div class="ttc" id="aclass_enum_tools_html_ac4ddca3398c80b05f53069001724e142"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#ac4ddca3398c80b05f53069001724e142">EnumTools::GetLastEnumValue</a></div><div class="ttdeci">static int GetLastEnumValue(typename e)</div><div class="ttdoc">Return amount of values in enum.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00643">EnConvert.c:643</a></div></div>
<div class="ttc" id="aclass_enum_tools_html_aec4426f2734186a45113a4740df44365"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#aec4426f2734186a45113a4740df44365">EnumTools::EnumToString</a></div><div class="ttdeci">static string EnumToString(typename e, int enumValue)</div><div class="ttdoc">Return string name of enum value.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00597">EnConvert.c:597</a></div></div>
<div class="ttc" id="aclass_enum_tools_html_af1cda1d31ea4a55294ec39ef110f8613"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#af1cda1d31ea4a55294ec39ef110f8613">EnumTools::StringToEnum</a></div><div class="ttdeci">static int StringToEnum(typename e, string enumName)</div><div class="ttdoc">Return enum value from string name.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00608">EnConvert.c:608</a></div></div>
<div class="ttc" id="aclass_enum_tools_html_afa28a6e29b38afe19ab08cea9186d381"><div class="ttname"><a href="../../dc/d98/class_enum_tools.html#afa28a6e29b38afe19ab08cea9186d381">EnumTools::EnumTools</a></div><div class="ttdeci">private void EnumTools()</div></div>
<div class="ttc" id="aclassbool_html"><div class="ttname"><a href="../../d9/db9/classbool.html">bool</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00001">EnConvert.c:2</a></div></div>
<div class="ttc" id="aclassbool_html_a8ad2456f267275c00d51de5d253eee62"><div class="ttname"><a href="../../d9/db9/classbool.html#a8ad2456f267275c00d51de5d253eee62">bool::ToString</a></div><div class="ttdeci">string ToString()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00003">EnConvert.c:3</a></div></div>
<div class="ttc" id="aclassfloat_html"><div class="ttname"><a href="../../d4/dc3/classfloat.html">float</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00090">EnConvert.c:91</a></div></div>
<div class="ttc" id="aclassfloat_html_a7c75d5884931d8fdb53ad0dd65c23f29"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a7c75d5884931d8fdb53ad0dd65c23f29">float::MIN</a></div><div class="ttdeci">const float MIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00092">EnConvert.c:92</a></div></div>
<div class="ttc" id="aclassfloat_html_a984911aa6072c232bb876de8ed8904af"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a984911aa6072c232bb876de8ed8904af">float::MAX</a></div><div class="ttdeci">const float MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00093">EnConvert.c:93</a></div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="aclassfloat_html_ab022ffac8e11da5c6c5d49307e8ebc20"><div class="ttname"><a href="../../d4/dc3/classfloat.html#ab022ffac8e11da5c6c5d49307e8ebc20">float::LOWEST</a></div><div class="ttdeci">const float LOWEST</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00094">EnConvert.c:94</a></div></div>
<div class="ttc" id="aclasstypename_html"><div class="ttname"><a href="../../d2/db4/classtypename.html">typename</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00504">EnConvert.c:505</a></div></div>
<div class="ttc" id="aclasstypename_html_a147761ce837aadfdfd024e7146db86f9"><div class="ttname"><a href="../../d2/db4/classtypename.html#a147761ce837aadfdfd024e7146db86f9">typename::Spawn</a></div><div class="ttdeci">proto volatile Class Spawn()</div><div class="ttdoc">Dynamic variant to 'new' keyword. It creates new instance of class.</div></div>
<div class="ttc" id="aclasstypename_html_a24e2bf043e2bf949a895203d9d87cca0"><div class="ttname"><a href="../../d2/db4/classtypename.html#a24e2bf043e2bf949a895203d9d87cca0">typename::GetModule</a></div><div class="ttdeci">proto owned string GetModule()</div><div class="ttdoc">Get the name of the module the typename belongs to.</div></div>
<div class="ttc" id="aclasstypename_html_a5e3c25ba9570c9903ae1903b9852577b"><div class="ttname"><a href="../../d2/db4/classtypename.html#a5e3c25ba9570c9903ae1903b9852577b">typename::GetVariableType</a></div><div class="ttdeci">proto native GetVariableType(int vIdx)</div></div>
<div class="ttc" id="aclasstypename_html_a6603b88a4f8516f9e2fe728f8b15b4d9"><div class="ttname"><a href="../../d2/db4/classtypename.html#a6603b88a4f8516f9e2fe728f8b15b4d9">typename::GetVariableName</a></div><div class="ttdeci">proto native owned string GetVariableName(int vIdx)</div></div>
<div class="ttc" id="aclasstypename_html_a6b5064cb66914d2ff8a02c6ddb566c1b"><div class="ttname"><a href="../../d2/db4/classtypename.html#a6b5064cb66914d2ff8a02c6ddb566c1b">typename::IsInherited</a></div><div class="ttdeci">proto native bool IsInherited(typename baseType)</div><div class="ttdoc">Returns true when type is the same as 'baseType', or inherited one.</div></div>
<div class="ttc" id="aclasstypename_html_a935484bb0a6a76fe0a7977152cce2960"><div class="ttname"><a href="../../d2/db4/classtypename.html#a935484bb0a6a76fe0a7977152cce2960">typename::GetVariableValue</a></div><div class="ttdeci">proto bool GetVariableValue(Class var, int vIdx, out void val)</div></div>
<div class="ttc" id="aclasstypename_html_a964e1397808b602623c14d067ff2fe4b"><div class="ttname"><a href="../../d2/db4/classtypename.html#a964e1397808b602623c14d067ff2fe4b">typename::GetVariableCount</a></div><div class="ttdeci">proto native int GetVariableCount()</div></div>
<div class="ttc" id="aclasstypename_html_aa6c584771a53a6f798e7be9e4080a1d3"><div class="ttname"><a href="../../d2/db4/classtypename.html#aa6c584771a53a6f798e7be9e4080a1d3">typename::ToString</a></div><div class="ttdeci">proto native owned string ToString()</div><div class="ttdoc">Returns type name of variable as string.</div></div>
<div class="ttc" id="aclasstypename_html_aa81ac832e72b7c2fb610ea5591741658"><div class="ttname"><a href="../../d2/db4/classtypename.html#aa81ac832e72b7c2fb610ea5591741658">typename::StringToEnum</a></div><div class="ttdeci">static int StringToEnum(typename e, string enumName)</div><div class="ttdoc">Return enum value from string name.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00568">EnConvert.c:568</a></div></div>
<div class="ttc" id="aclasstypename_html_aaea4a93deb574d038bb4301431585e22"><div class="ttname"><a href="../../d2/db4/classtypename.html#aaea4a93deb574d038bb4301431585e22">typename::EnumToString</a></div><div class="ttdeci">static string EnumToString(typename e, int enumValue)</div><div class="ttdoc">Return string name of enum value.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00546">EnConvert.c:546</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a0efaf736c81403ae7995d750442e7213"><div class="ttname"><a href="../../d7/dfc/classvector.html#a0efaf736c81403ae7995d750442e7213">vector::InvMultiply4</a></div><div class="ttdeci">proto vector InvMultiply4(vector mat[4])</div><div class="ttdoc">Invert-transforms position.</div></div>
<div class="ttc" id="aclassvector_html_a14d1e3e5c72dc00cf1325c1c5e633ac9"><div class="ttname"><a href="../../d7/dfc/classvector.html#a14d1e3e5c72dc00cf1325c1c5e633ac9">vector::Multiply3</a></div><div class="ttdeci">proto vector Multiply3(vector mat[3])</div><div class="ttdoc">Transforms vector.</div></div>
<div class="ttc" id="aclassvector_html_a196718ffa770426b0bcac7412b82c000"><div class="ttname"><a href="../../d7/dfc/classvector.html#a196718ffa770426b0bcac7412b82c000">vector::RandomDir</a></div><div class="ttdeci">static vector RandomDir()</div><div class="ttdoc">Returns randomly generated unit vector.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00237">EnConvert.c:237</a></div></div>
<div class="ttc" id="aclassvector_html_a1a62075378ea6dee42f055959832e355"><div class="ttname"><a href="../../d7/dfc/classvector.html#a1a62075378ea6dee42f055959832e355">vector::GetRelAngles</a></div><div class="ttdeci">vector GetRelAngles()</div><div class="ttdoc">Returns relative angles between -180 and 180, not 0 to 360.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00280">EnConvert.c:280</a></div></div>
<div class="ttc" id="aclassvector_html_a1dd56c5821c2f52c4b6eb3f945950dbd"><div class="ttname"><a href="../../d7/dfc/classvector.html#a1dd56c5821c2f52c4b6eb3f945950dbd">vector::Normalized</a></div><div class="ttdeci">proto vector Normalized()</div><div class="ttdoc">return normalized vector (keeps orginal vector untouched)</div></div>
<div class="ttc" id="aclassvector_html_a21d8662c860e105943718b2da59349e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a21d8662c860e105943718b2da59349e7">vector::DistanceSq</a></div><div class="ttdeci">static proto native float DistanceSq(vector v1, vector v2)</div><div class="ttdoc">Returns the squere distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="aclassvector_html_a24d56d6a43e63b3b06307c08a47658d1"><div class="ttname"><a href="../../d7/dfc/classvector.html#a24d56d6a43e63b3b06307c08a47658d1">vector::Length</a></div><div class="ttdeci">proto native float Length()</div><div class="ttdoc">Returns length of vector (magnitude)</div></div>
<div class="ttc" id="aclassvector_html_a28223193a011ce95454f4a7443ab2e89"><div class="ttname"><a href="../../d7/dfc/classvector.html#a28223193a011ce95454f4a7443ab2e89">vector::Aside</a></div><div class="ttdeci">static const vector Aside</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00102">EnConvert.c:102</a></div></div>
<div class="ttc" id="aclassvector_html_a4a81e26ff200e7242446a4f3387305f1"><div class="ttname"><a href="../../d7/dfc/classvector.html#a4a81e26ff200e7242446a4f3387305f1">vector::Multiply4</a></div><div class="ttdeci">proto vector Multiply4(vector mat[4])</div><div class="ttdoc">Transforms position.</div></div>
<div class="ttc" id="aclassvector_html_a53ace92794c4c6ddf4ff8ffff67a1fa5"><div class="ttname"><a href="../../d7/dfc/classvector.html#a53ace92794c4c6ddf4ff8ffff67a1fa5">vector::RotateAroundZeroDeg</a></div><div class="ttdeci">static vector RotateAroundZeroDeg(vector vec, vector axis, float angle)</div><div class="ttdoc">Rotate a vector around 0,0,0 by an angle in degrees.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00444">EnConvert.c:444</a></div></div>
<div class="ttc" id="aclassvector_html_a5630a095777dfb19962df9ecf100cb47"><div class="ttname"><a href="../../d7/dfc/classvector.html#a5630a095777dfb19962df9ecf100cb47">vector::LengthSq</a></div><div class="ttdeci">proto native float LengthSq()</div><div class="ttdoc">Returns squared length (magnitudeSqr)</div></div>
<div class="ttc" id="aclassvector_html_a5f52b496fb3f21f74ab18ba12c473c58"><div class="ttname"><a href="../../d7/dfc/classvector.html#a5f52b496fb3f21f74ab18ba12c473c58">vector::ArrayToVec</a></div><div class="ttdeci">static vector ArrayToVec(float arr[])</div><div class="ttdoc">Covert static array of floats into a vector.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00496">EnConvert.c:496</a></div></div>
<div class="ttc" id="aclassvector_html_a6112bdd28cac1834f740623775e2db5d"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6112bdd28cac1834f740623775e2db5d">vector::RotateAroundZeroRad</a></div><div class="ttdeci">static vector RotateAroundZeroRad(vector vec, vector axis, float angle)</div><div class="ttdoc">Rotate a vector around 0,0,0 by an angle in radians.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00457">EnConvert.c:457</a></div></div>
<div class="ttc" id="aclassvector_html_a69fa0e44e84719ecd8f98b99fddf1d92"><div class="ttname"><a href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">vector::Dot</a></div><div class="ttdeci">static float Dot(vector v1, vector v2)</div><div class="ttdoc">Returns Dot product of vector v1 and vector v2.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00265">EnConvert.c:265</a></div></div>
<div class="ttc" id="aclassvector_html_a6ad2d639d86b8e70f2b1201cccfe2b69"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6ad2d639d86b8e70f2b1201cccfe2b69">vector::Forward</a></div><div class="ttdeci">static const vector Forward</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00103">EnConvert.c:103</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00104">EnConvert.c:104</a></div></div>
<div class="ttc" id="aclassvector_html_a744ae3998907ee2ab499491dc3f63bb3"><div class="ttname"><a href="../../d7/dfc/classvector.html#a744ae3998907ee2ab499491dc3f63bb3">vector::RandomDir2D</a></div><div class="ttdeci">static vector RandomDir2D()</div><div class="ttdoc">Returns randomly generated XZ unit vector with the Y(up) axis set to 0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00254">EnConvert.c:254</a></div></div>
<div class="ttc" id="aclassvector_html_a77831ca9c077a8dbd1b0aae7ba2a5d3d"><div class="ttname"><a href="../../d7/dfc/classvector.html#a77831ca9c077a8dbd1b0aae7ba2a5d3d">vector::Normalize</a></div><div class="ttdeci">proto float Normalize()</div><div class="ttdoc">Normalizes vector. Returns length.</div></div>
<div class="ttc" id="aclassvector_html_a95ab7bbe293e66e406d8f0cf1525ea6d"><div class="ttname"><a href="../../d7/dfc/classvector.html#a95ab7bbe293e66e406d8f0cf1525ea6d">vector::Direction</a></div><div class="ttdeci">static vector Direction(vector p1, vector p2)</div><div class="ttdoc">Returns direction vector from point p1 to point p2.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00214">EnConvert.c:214</a></div></div>
<div class="ttc" id="aclassvector_html_a98fea7cff9837cd9370fe01530ef6ed6"><div class="ttname"><a href="../../d7/dfc/classvector.html#a98fea7cff9837cd9370fe01530ef6ed6">vector::RotateAroundZero</a></div><div class="ttdeci">static vector RotateAroundZero(vector pos, vector axis, float cosAngle, float sinAngle)</div><div class="ttdoc">Rotate a vector around 0,0,0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00471">EnConvert.c:471</a></div></div>
<div class="ttc" id="aclassvector_html_aa47f0f8fc9cf78676b74164916032adc"><div class="ttname"><a href="../../d7/dfc/classvector.html#aa47f0f8fc9cf78676b74164916032adc">vector::RotationMatrixFromAngles</a></div><div class="ttdeci">proto void RotationMatrixFromAngles(out vector mat[3])</div><div class="ttdoc">Creates rotation matrix from angles.</div></div>
<div class="ttc" id="aclassvector_html_aa9743e6442c03af3d006625b75002b4c"><div class="ttname"><a href="../../d7/dfc/classvector.html#aa9743e6442c03af3d006625b75002b4c">vector::RotateAroundPoint</a></div><div class="ttdeci">static vector RotateAroundPoint(vector point, vector pos, vector axis, float cosAngle, float sinAngle)</div><div class="ttdoc">Rotate a vector around point.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00485">EnConvert.c:485</a></div></div>
<div class="ttc" id="aclassvector_html_aacb468e25c49cbc012daf8933f81383c"><div class="ttname"><a href="../../d7/dfc/classvector.html#aacb468e25c49cbc012daf8933f81383c">vector::InvMultiply3</a></div><div class="ttdeci">proto vector InvMultiply3(vector mat[3])</div><div class="ttdoc">Invert-transforms vector.</div></div>
<div class="ttc" id="aclassvector_html_aad57f4c847a6ad08cf88f390961dd2db"><div class="ttname"><a href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">vector::Distance</a></div><div class="ttdeci">static proto native float Distance(vector v1, vector v2)</div><div class="ttdoc">Returns the distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="aclassvector_html_aae98cacea720c943c4a0ba074844edcb"><div class="ttname"><a href="../../d7/dfc/classvector.html#aae98cacea720c943c4a0ba074844edcb">vector::ToString</a></div><div class="ttdeci">proto string ToString(bool beautify=true)</div><div class="ttdoc">Vector to string.</div></div>
<div class="ttc" id="aclassvector_html_aaf9cd58f18fb386fd75a38b85f502b16"><div class="ttname"><a href="../../d7/dfc/classvector.html#aaf9cd58f18fb386fd75a38b85f502b16">vector::YawToVector</a></div><div class="ttdeci">proto static native vector YawToVector(float yaw)</div><div class="ttdoc">Returns vector of yaw.</div></div>
<div class="ttc" id="aclassvector_html_ac187fd4c6a90da92d88737f963b03d6d"><div class="ttname"><a href="../../d7/dfc/classvector.html#ac187fd4c6a90da92d88737f963b03d6d">vector::Up</a></div><div class="ttdeci">static const vector Up</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00101">EnConvert.c:101</a></div></div>
<div class="ttc" id="aclassvector_html_ac874a5c3e44d975a8c812c6051c3bc42"><div class="ttname"><a href="../../d7/dfc/classvector.html#ac874a5c3e44d975a8c812c6051c3bc42">vector::VectorToYaw</a></div><div class="ttdeci">proto float VectorToYaw()</div><div class="ttdoc">Returns yaw of vector.</div></div>
<div class="ttc" id="aclassvector_html_aed751dee971a2a172f3052c68f607111"><div class="ttname"><a href="../../d7/dfc/classvector.html#aed751dee971a2a172f3052c68f607111">vector::VectorToAngles</a></div><div class="ttdeci">proto vector VectorToAngles()</div><div class="ttdoc">Converts vector to spherical coordinates with radius = 1.</div></div>
<div class="ttc" id="aclassvector_html_af15f3bbe745c42844b94ca75c22a8feb"><div class="ttname"><a href="../../d7/dfc/classvector.html#af15f3bbe745c42844b94ca75c22a8feb">vector::Lerp</a></div><div class="ttdeci">static proto native vector Lerp(vector v1, vector v2, float t)</div><div class="ttdoc">Lerp between two vectors.</div></div>
<div class="ttc" id="aclassvector_html_af408d1e3b1924083700244aea9fbb3e9"><div class="ttname"><a href="../../d7/dfc/classvector.html#af408d1e3b1924083700244aea9fbb3e9">vector::AnglesToVector</a></div><div class="ttdeci">proto vector AnglesToVector()</div><div class="ttdoc">Converts spherical coordinates (yaw, pitch, roll in degrees) to unit length vector.</div></div>
<div class="ttc" id="aclassvector_html_afb6b8ef9012f158bd26c58861b1fe642"><div class="ttname"><a href="../../d7/dfc/classvector.html#afb6b8ef9012f158bd26c58861b1fe642">vector::Perpend</a></div><div class="ttdeci">vector Perpend()</div><div class="ttdoc">Returns perpendicular vector. Perpendicular vector is computed as cross product between input vector ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00203">EnConvert.c:203</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_ga5bd1deb1c96276d94eeec6fe40955c41"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#ga5bd1deb1c96276d94eeec6fe40955c41">Vector</a></div><div class="ttdeci">proto native vector Vector(float x, float y, float z)</div><div class="ttdoc">Vector constructor from components.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
<div class="ttc" id="agroup___math_html_ga59a832dc3ede05300c969625f9c012d6"><div class="ttname"><a href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Math::Cos</a></div><div class="ttdeci">static proto float Cos(float angle)</div><div class="ttdoc">Returns cosinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_ga94eedd3910334f450ef989d69ab4e4fd"><div class="ttname"><a href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Math::Sin</a></div><div class="ttdeci">static proto float Sin(float angle)</div><div class="ttdoc">Returns sinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_gadf6cda0885b5257cc109a3420ea11cd6"><div class="ttname"><a href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">Math::DEG2RAD</a></div><div class="ttdeci">static const float DEG2RAD</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00017">EnMath.c:17</a></div></div>
<div class="ttc" id="agroup___strings_html_ga012b133f69754b6a99ba29ce5f11c348"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">string::Length</a></div><div class="ttdeci">proto native int Length()</div><div class="ttdoc">Returns length of string.</div></div>
<div class="ttc" id="agroup___strings_html_ga2aa07a41b8fd7270be668acdf9486a87"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga2aa07a41b8fd7270be668acdf9486a87">string::ToString</a></div><div class="ttdeci">static proto string ToString(void var, bool type=false, bool name=false, bool quotes=true)</div><div class="ttdoc">Return string representation of variable.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../d0/d13/_en_convert_8c.html">EnConvert.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
